XmStringGetNextSegment(3Xm)

NAME
XmStringGetNextSegment — a compound string function that fetches the octets in the next segment of a compound string.

SYNOPSIS
#include <Xm/Xm.h>

Boolean XmStringGetNextSegment (context, text, charset, direction, separator)
    XmStringContext    * context;
    char    ** text;
    XmStringCharSet    * charset;
    XmStringDirection    * direction;
    Boolean    * separator;

DESCRIPTION
XmStringGetNextSegment fetches the octets in the next segment; repeated calls fetch sequential segments. The text, charset, and direction of the fetched segment are returned each time. A Boolean status is returned to indicate whether a valid segment was successfully parsed.

context
    Specifies the string context structure which was allocated by the XmStringInitContext function.

text
    Specifies a pointer to a null terminated string.

charset
    Specifies the character set identifier to be associated with the text. This can be XmSTRING_DEFAULT_CHARSET.

direction
    Specifies the direction of the text.

separator
    Specifies if the next component of the compound string is a separator.

RETURN VALUE
Returns True if a valid segment is found.

RELATED INFORMATION
XmStringCreate(3Xm) and XmStringInitContext(3Xm).